<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>コンテンツ一覧 - MicroEngine</title>
<script>
<!--
$(document).ready(function(){
    $('#nav_content').addClass('active');
});
//-->
</script>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user', '_flash'), array('help_page'=>'content_content_list.html'));?>

<div class="main container">
<ul class="breadcrumb">
<li><a href="../Main/index">ホーム</a> <span class="divider">/</span></li>
<li><a href="../Content/index">コンテンツ</a> <span class="divider">/</span></li>
<li class="active">コンテンツ一覧</li>
</ul>

<a href="content_list"><i class="icon-home"></i></a>
<?php foreach($dir_tree as $dir): ?>
<?php $dir_path .= '/' . $dir ?>
/ <a href="?path=<?php h::p($dir_path) ?>"><?php h::p($dir) ?></a>
<?php endforeach; ?>

<?php if (count($rows) === 0): ?>
<div class="alert alert-info">コンテンツはありません。</div>
<?php else: ?>
<table class="table table-striped">
<tbody>
<tr>
<th>ファイル名</th>
<th>操作</th>
</tr>
<?php foreach($rows as $row): ?>
<tr>
<td>
<?php if ($row['page_type'] === Page_Logic::PAGE_TYPE_DIRECTORY): ?>
<a href="?path=<?php h::p($row['page_path']) ?>"><img src="../../app/assets/img/silk/folder.png" width="16" height="16" alt="フォルダー">
<span><?php h::p($row['file_name']) ?></span></a>
<?php else: ?>
<?php $image_file = ($row['page_type'] === Page_Logic::PAGE_TYPE_TEMPLATE) ? 'page_edit.png' : 'page_white.png' ?>
<a href="../Main/index?path=<?php h::p($row['page_path']) ?>"><img src="../../app/assets/img/silk/<?php h::p($image_file) ?>" width="16" height="16" alt="page">
<span><?php h::p($row['file_name'] . $row['extension']) ?></span></a>
<?php endif;?>
</td>
<td>
<?php if ($row['page_type'] === Page_Logic::PAGE_TYPE_TEMPLATE): ?>
<a class="btn btn-small btn-info" href="../Page/info?path=<?php h::p($row['page_path']) ?>&back=content">ページ情報</a>
<?php endif;?>
</td>
</tr>
<?php endforeach; ?>
</tbody>
</table>
<?php endif; ?>

<div>
<a class="btn btn-small" href="../Content/index">戻る</a>
</div>
</div>
<?php h::render('/Common/footer.php');?>
</body>
</html>